Skip to content
View as Markdown

PUT Update Sequence​

PUT
/sequences/{id}

Update an existing email sequence's title, settings, or mailer configuration. If mailer settings are changed, they are propagated to all sequence emails. Requires FluentCampaign Pro.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The sequence ID.

Type
integer
Required

Request Body​

application/json
JSON
{
"title": "string",
"settings": {
"mailer_settings": {
"from_name": "string",
"from_email": "string",
"reply_to_name": "string",
"reply_to_email": "string",
"is_custom": "string"
}
}
}

Responses​

Sequence updated successfully.

application/json
JSON
{
"sequence": {
"id": 0,
"title": "string",
"slug": "string",
"status": "string",
"type": "string",
"design_template": "string",
"settings": {
"mailer_settings": {
"from_name": "string",
"from_email": "string",
"reply_to_name": "string",
"reply_to_email": "string",
"is_custom": "string"
}
},
"created_by": 0,
"created_at": "string",
"updated_at": "string",
"stats": {
"emails": 0,
"subscribers": 0,
"revenue": {
"amount": "string",
"currency": "string"
}
}
},
"message": "string"
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI